is_windowed_mode(3)

NAME
is_windowed_mode - Tells if you are running in windowed mode. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int is_windowed_mode(void);

DESCRIPTION
This function can be used to detect whether or not set_gfx_mode() selected a windowed mode. Example:
   if (set_gfx_mode(GFX_AUTODETECT, 640, 480, 0, 0) != 0)
      abort_on_error("Couldn't set graphic mode!");
   if (is_windowed_mode()) {
      /* Windowed mode stuff. */
   } else {
      /* Fullscreen mode stuff. */
   }

RETURN VALUE
Returns true if the current graphics mode is a windowed mode, or zero if it is a fullscreen mode. You should not call this function if you are not in graphics mode.

SEE ALSO
set_gfx_mode(3)